/* +++++++++++++++++++++++++++++++
        Product top main section
  ++++++++++++++++++++++++++++++++++ */
.sing-prod-row {
  display: grid;
  grid-template-columns: 40% 1fr;
  gap: var(--gap-col);
}

@media (max-width: 800px) {
  .sing-prod-row {
    grid-template-columns: repeat(1, 1fr);
  }
}
/* ++++++ Image magnifier CSS */
.product-img-col .img-box {
  width: 100%;
  height: auto;
  position: relative;
  margin: auto;
  border: var(--border-lite);
  border-radius: var(--radious-prim);
  background: #f6f7fb;
  overflow: hidden;
  transform: translate3d(0, 0, 0);
}

.product-img-col .img-box .featured-img {
  width: 100%;
  height: auto;
  border-radius: var(--radious-prim);
  display: block;
  margin: 0;
}
.product-img-col .img-box .featured-img.updated {
  animation: updateImg 0.5s linear forwards;
}
@keyframes updateImg {
  from {
    opacity: 0.1;
  }
  to {
    opacity: 1;
  }
}

.product-img-col .img-box:hover,
.product-img-col .img-box:active {
  cursor: zoom-in;
  display: block;
}

.product-img-col .img-magnifier {
  width: 100%;
  height: 100%;
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  z-index: 49;
  display: block;
  background-size: 200%;
  transition: opacity 0.2s;
}
.product-img-col .img-box:hover .img-magnifier {
  opacity: 1;
}

/* ++++++ Thumb Image Slider */
.thumbimgs-row {
  margin-top: 20px;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: calc(var(--gap-card) / 2);
}

.thumbimgs-row img {
  width: 100%;
  border-radius: var(--radious-sec);
  border: var(--border-lite);
  cursor: pointer;
  transition: var(--Ltrns);
}

.thumbimgs-row img.show {
  transform: scale(1.1);
  box-shadow: rgba(85, 91, 255, 0) 0px 0px 0px 1px,
    var(--secoundry) 0px 0px 0px 2px;
}

/* ++++++ Product Text Col */
/* -----> Title */
.product-txt-col .mainHD {
  margin-bottom: 0.7rem;
}

/* Product category & Tag-box */
.categoryTag-box {
  margin-top: 1rem;
  padding-top: 0.8rem;
  border-top: var(--border-dark);
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 15px;
}
.categoryTag-box .cTag-box {
  display: flex;
  flex-wrap: wrap;
  column-gap: 1rem;
  font-size: 0.8rem;
}
.categoryTag-box .cTag-box b {
  font-weight: 500;
  color: var(--text-200);
}
.categoryTag-box .cTag-box span {
  font-weight: 500;
  color: rgb(103, 102, 102);
  text-transform: capitalize;
  position: relative;
}
.categoryTag-box .cTag-box span:hover {
  color: var(--secoundry);
}
.categoryTag-box .cTag-box span:not(:last-child)::after {
  content: ",";
  position: absolute;
  bottom: 0;
  right: -7px;
  font-size: 15px;
}

/* -- Sales Tag  */
.product-txt-col .saleTag {
  display: inline-block;
  padding: 0.4rem 0.6rem;
  background-color: rgb(251, 58, 58);
  color: white;
  font-weight: 500;
  font-size: 0.6rem;
  border-radius: 50px;
  margin-bottom: 0.6rem;
}

.product-txt-col .pricebox {
  display: flex;
  align-items: flex-end;
  margin: 0.75rem 0 20px 0;
}
.product-txt-col .pricebox > *:not(:last-child) {
  margin-right: 0.7rem;
}

.product-txt-col .pricebox {
  --myf-size: 1.8rem;
}
.product-txt-col .pricebox h5 {
  font-size: var(--myf-size);
  color: var(--text-100);
  margin: 0;
  font-weight: 400;
  flex-shrink: 0;
}
.product-txt-col .pricebox s {
  font-size: calc(var(--myf-size) - 0.7rem);
  color: var(--text-300);
  font-weight: 500;
  display: block;
}

/* ==> PRODUCT SUMMARY ROW */
.product-summary-row {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  padding: 1rem 0;
  margin: 1rem 0;
  border-top: var(--border-lite);
  border-bottom: var(--border-lite);
}
.product-summary-row .info-box h6 {
  font-family: var(--secoundry-font);
  font-size: 0.82rem;
  font-weight: 400;
  color: var(--text-100);
}
.product-summary-row .info-box h6 span {
  color: var(--secoundry);
  font-weight: 500;
}

/*==>  SUB ACTION BOX */
.action-row {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  margin-bottom: 1rem;
  padding-bottom: 1rem;
  border-bottom: var(--border-lite);
}

.action-btn {
  background-color: transparent;
  border: 1px solid var(--text-300);
  color: var(--text-200);
  padding: 0.5rem 0.7rem;
  font-size: 0.8rem;
  font-weight: 500;
  border-radius: var(--radious-sec);
  transition: var(--Ltrns);
}
.action-btn:hover {
  border: 1px solid var(--primary);
  color: var(--primary);
  transform: translateY(-5px);
}
.action-btn:hover.wishlist {
  border: 1px solid var(--wish-color);
  color: var(--wish-color);
  transform: translateY(-5px);
}
.action-btn.wishlist.active,
.action-btn:hover.wishlist.active {
  border: 1px solid var(--wish-color);
  color: var(--wish-color);
  transform: translateY(0);
}

@media (max-width: 800px) {
  .product-txt-col .saleTag {
    padding: 0.3rem 0.5rem;
    font-size: 0.6rem;
  }

  .product-txt-col .pricebox {
    --myf-size: 1.6rem;
  }

  .product-img-col .img-box .img-magnifier {
    display: none;
  }
  .product-summary-row {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* +++++++++++++++++++++++++++++++
      Product Detailed info section
  ++++++++++++++++++++++++++++++++++ */
.pro-brief-info-box {
  padding: 30px;
  border: var(--border-lite);
  border-radius: var(--radious-prim);
  margin: 80px 0;
}

.pro-disp-nav {
  gap: 20px;
  margin-bottom: 40px;
}

.pro-disp-nav .nav-link {
  color: var(--text-200);
  border: 2px solid rgb(237, 237, 237);
  font-weight: 600;
  font-size: 17px;
  border-radius: 50px;
  transition: var(--Ltrns);
}
.pro-disp-nav .nav-link:hover {
  border: 2px solid rgb(208, 207, 207);
  transform: translateY(-3px);
}
.pro-disp-nav .nav-link.active {
  color: var(--primary);
  background-color: transparent;
  border: 2px solid var(--primary-lite);
}

@media (max-width: 507px) {
  .pro-brief-info-box {
    padding: 15px;
  }

  .pro-disp-nav .nav-link {
    font-size: 0.82rem;
  }
}
